Get one layer
Reference for the GET /console/v1/layers/{id} endpoint of the Statsig API.
https://statsigapi.net/console/v1/layers/{id}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredid
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
idstringrequiredID
namestringOptional name for the configuration.
idTypestringrequiredThe ID type used for this layer, important for validation.
descriptionstringrequiredA detailed description of the layer, explaining its purpose and functionality.
max length: 1000lastModifierIDstringrequiredID of the last modifier.
nullablelastModifiedTimenumberrequiredTime of the last modification.
format: doublenullablelastModifierEmailstringrequiredEmail of the last modifier.
nullablelastModifierNamestringrequiredName of the last modifier.
nullablecreatorIDstringrequiredID of the user who created the entity.
nullablecreatedTimenumberrequiredTimestamp when the entity was created.
format: doublecreatorNamestringrequiredName of the creator.
nullablecreatorEmailstringrequiredEmail of the creator.
nullabletagsstring[]Optional tags for categorization.
targetAppsoneOfList of target applications that this layer is intended for.
stringstring[]holdoutIDsstring[]Holdouts applied to this configuration.
teamstringOptional name for the responsible team.
nullableteamIDstringOptional ID of the responsible team.
nullableversionnumberVersion number
format: doubleisImplicitLayerbooleanrequiredIndicates if the layer was automatically created by Statsig during experiment creation.
parametersobject[]requiredAn array of parameters associated with the layer, each defining specific attributes.
namestringrequiredThe name of this parameter, used for identification within the layer.
typestringrequiredThe data type that this parameter returns. Allowed types include: string, boolean, number, object, and array.
stringnumberbooleanobjectarraydefaultValueoneOfrequiredThe default value for this parameter, which must match the specified type.
stringnumberbooleanobjectoneOf[]descriptionstringAn optional helpful description of what this layer parameter does, providing context for its purpose.
schemastringOptional JSON schema for object parameters. If provided, defaultValue must satisfy the schema.
nullabletargeting_gate_parameter_valuesobject[]requiredParameter values returned when a targeting gate passes during ship-with-targeting.
targetingGateNamestringrequiredThe name of the targeting gate for these shipped values.
parametersobjectrequiredLayer parameter values returned when the targeting gate passes.
holdout_parameter_valuesobject[]requiredHoldout-specific parameter values for this layer.
holdoutIDstringrequiredThe ID of the holdout for these layer parameter values.
parametersobjectrequiredLayer parameter values returned when the holdout gate passes.
excludeNewParamsbooleanrequiredWhether newly added layer parameters should be excluded from this holdout edge.
permalinkstringrequiredA permalink to this layer in the Statsig Console.
format: uristatusintegerrequired400messagestringrequiredstatusintegerrequired401messagestringrequiredstatusintegerrequired404messagestringrequiredWas this helpful?